{% extends "base.html" %}

{% block content %}
<h1 class="title">
    {{ page.title }}
</h1>
{% if page.toc %}
    <ul>
    {% for h1 in page.toc %}
        <li>
            <a href="{{ h1.permalink | safe }}">{{ h1.title }}</a>
            {% if h1.children %}
                <ul>
                    {% for h2 in h1.children %}
                        <li>
                            <a href="{{ h2.permalink | safe }}">{{ h2.title }}</a>
                            {% if h2.children %}
                                <ul>
                                    {% for h3 in h2.children %}
                                        <li>
                                            <a href="{{ h3.permalink | safe }}">{{ h3.title }}</a>
                                        </li>
                                    {% endfor %}
                                </ul>
                            {% endif %}
                        </li>
                    {% endfor %}
                </ul>
            {% endif %}
        </li>
    {% endfor %}
    </ul>
{% endif %}
{{ page.content | safe }}
{% endblock content %}